登录  免费注册
当前位置:首页 > 安全公告 > 正文

关于Linux kernel本地权限提升漏洞(Dirty COW)的安全公告

2016-10-21 17:26:28
安全公告编号:CNTA-2016-0049

近日,国家信息安全漏洞共享平台(CNVD)收录了Linux kernel本地权限提升漏洞(CNVD-2016-09672,对应CVE-2016-5195,漏洞发现者命名为“Dirty COW”漏洞)。该漏洞对于Linux kernel 2.6.22(2007年发行版)及以后的版本都构成影响,本地攻击者利用漏洞可提升权限,发起进一步攻击。

一、漏洞情况分析

Linux kernel是美国Linux基金会发布的操作系统Linux所使用的内核。Linux内核的内存管理器在处理写入拷贝(copy-on-write,COW)时存在竞态条件,可破坏专用只读内存映射。低权限的本地用户可利用该漏洞获取其他只读内存映射的写权限,进而可导致权限提升。本地攻击者利用该漏洞可获取管理员权限,进而执行进一步的操作。

CNVD对该漏洞技术评级为“中危”,不过配合其他漏洞可造成较高的威胁。

二、漏洞影响范围

该漏洞影响2.6.22(2007年发行版)及以后的所有版本,Android操作系统和Red Hat、Debian、Ubuntu等流行的Linux操作系统发行版本也受该漏洞影响。相关发行版厂商均已发布了漏洞修复程序,CNVD建议用户尽快升级程序至最新版本。研发人员可重新编译Linux修复此漏洞。

https://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=19be0eaffa3ac7d8eb6784ad9bdbc7d67ed8e619

附:参考链接:

http://people.canonical.com/~ubuntu-security/cve/2016/CVE-2016-5195.html 

https://security-tracker.debian.org/tracker/CVE-2016-5195 

https://access.redhat.com/security/cve/cve-2016-5195

http://www.cnvd.org.cn/flaw/show/CNVD-2016-09672


(编辑:CNVD) | 已有0条评论
登录 后才能发表评论
已有0条评论